{% extends 'base.html.twig' %}

{% block content %}

    <h2>{{ 'payment.list.title' | trans }}</h2>
    <div class="uk-flex" uk-grid>
        <div class="uk-card uk-card-body uk-card-default">
            <h3>Utilisateur</h3>
            <ul>
                <li>Nom: {{ user.Name }} (#{{ user.Id }})</li>
                <li>Type: {{ user.LegalPersonType }}</li>
                <li>Représentant: {{ user.LegalRepresentativeFirstName }} {{ user.LegalRepresentativeLastName }}</li>
                <li>Email: {{ user.Email }}</li>
            </ul>
        </div>
        <div class="uk-card uk-card-body uk-card-default">
            <h3>Portefeuilles</h3>
            {% for wallet in wallets %}
                <h4>Portefeuille #{{ wallet.Id }}</h4>
                <ul>
                    <li>Propriétaires: {{ wallet.Owners | join(' - ') }}</li>
                    <li>Description: {{ wallet.Description }}</li>
                    <li>Solde: {{ wallet.Balance.Amount / 100 }}€</li>
                    <li>Créé le {{ wallet.CreationDate | localizeddate }}</li>
                </ul>
            {% endfor %}
        </div>
    </div>
    {% if payments | length > 0 %}
        <table class="table">
            <thead>
            <tr>
                <td>{{ 'payment.id' | trans }}</td>
                <td>{{ 'payment.created_at' | trans }}</td>
                <td>{{ 'payment.paid_at' | trans }}</td>
                <td>{{ 'payment.amount' | trans }}</td>
                <td>{{ 'payment.paid' | trans }}</td>
                <td>{{ 'payment.action' | trans }}</td>
            </tr>
            </thead>
            <tbody>
            {% for payment in payments %}
                <tr>
                    <td>{{ payment.Id }}</td>
                    <td>{{ payment.CreationDate | localizeddate }}</td>
                    <td>{% if payment.Status == 'SUCCEEDED' %}{{ payment.ExecutionDate | localizeddate }}{% else %}N/A{% endif %}</td>
                    <td>{{ payment.CreditedFunds.Amount / 100  }}€</td>
                    <td>{% if payment.Status == 'SUCCEEDED' %}Paid{% else %}Not paid{% endif %}</td>
                    <td><a href="{{ path('admin-view-payment', {'paymentId': payment.Id}) }}">Détails</a></td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% else %}
        {{ 'payment.list.empty' | trans }}
    {% endif %}
    {% if pagination.Page > 1 %}
        <a href="{{ path('admin-list-payments', {'page': pagination.Page - 1}) }}" class="btn btn-default">Page précédente</a>
    {% endif %}
    {% if pagination.Page < pagination.TotalPages %}
        <a href="{{ path('admin-list-payments', {'page': pagination.Page + 1}) }}" class="btn btn-default">Page suivante</a>
    {% endif %}
{% endblock %}
